Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# iseq_insn_info_entry Struct Reference

`#include <iseq.h>`

## Data Fields
unsigned short | position
unsigned short | line_no
unsigned short | sp

## Detailed Description

Definition at line 42 of file iseq.h.

## Field Documentation

unsigned short iseq_insn_info_entry::line_no

Definition at line 44 of file iseq.h.

Referenced by argument_error(), find_line_no(), find_prev_line_no(), iseq_data_to_ary(), iseq_set_sequence(), rb_iseq_disasm_insn(), and rb_vm_get_sourceline().

unsigned short iseq_insn_info_entry::position

Definition at line 43 of file iseq.h.

Referenced by find_prev_line_no(), get_insn_info(), iseq_set_sequence(), and rb_vm_get_sourceline().

unsigned short iseq_insn_info_entry::sp

Definition at line 45 of file iseq.h.

Referenced by iseq_set_sequence(), and rb_iseq_disasm_insn().

The documentation for this struct was generated from the following file:

- iseq.h